<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2ServicesArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\ParcelShop\CParcelShop2Service
     */
    private $items;

    public function getItems(): CParcelShop2Service
    {
        return $this->items;
    }

    public function withItems(CParcelShop2Service $items): CParcelShop2ServicesArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
